# Generated from programming-pages-0.5.22.gem by gem2rpm -*- rpm-spec -*-
%global gem_name programming-pages

Name: rubygem-%{gem_name}
Version: 0.5.22
Release: 1%{?dist}
Summary: a Jekyll theme for publishing code documentation to GitHub pages
License: MIT
URL: https://github.com/pixeldroid/programming-pages
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
a Jekyll theme for publishing code documentation to GitHub pages.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/_config.yml
%{gem_instdir}/_data
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_sass
%{gem_instdir}/assets
%{gem_instdir}/favicon.png
%{gem_instdir}/index.md
%{gem_instdir}/screenshot.png
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md

%changelog
* Tue Aug 24 2021 mockbuilder - 0.5.22-1
- Initial package
